﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace HelpHelf.Pages
{
    /// <summary>
    /// Логика взаимодействия для ResultPage.xaml
    /// </summary>
    public partial class ResultPage : Page
    {
        SessionTestTable sessionTest;
        public ResultPage(int session)
        {
            InitializeComponent();
            sessionTest = Classes.DateBase.connect.SessionTestTable.FirstOrDefault(x => x.ID == session);
            rDate.Text = sessionTest.Date.ToString("dd.MM.yyyy");
            rName.Text = sessionTest.UserTable.Surname + " " + sessionTest.UserTable.Name;
            listDisease.ItemsSource = Classes.DateBase.connect.SessionDiseaseTable.Where(x => x.IdSession == sessionTest.ID).ToList();
        }

        private void btnMenu_Click(object sender, RoutedEventArgs e)
        {
            Classes.DebugClass.diagWrite("Переход на страницу главного меню");
            Classes.FrameClass.frmMain.Navigate(new MainPage(sessionTest.UserTable.LoginedTable));
        }
    }
}
