﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace HelpHelf.Pages
{
    /// <summary>
    /// Логика взаимодействия для AuthorizationPage.xaml
    /// </summary>
    public partial class AuthorizationPage : Page
    {
        public AuthorizationPage()
        {
            InitializeComponent();
        }

        private void btnReg_Click(object sender, RoutedEventArgs e)
        {
            Classes.FrameClass.frmMain.Navigate(new RegistrationPage());// переход на страницу регистрации
        }

        private void btnAuto_Click(object sender, RoutedEventArgs e)
        {
            if (Classes.CheckFields.CheckAuthorization(tbLogin.Text, pswPassword.Password))
            {
                try
                {
                    int password = pswPassword.Password.GetHashCode();// шифруем пароль, который введенный
                    LoginedTable logined = Classes.DateBase.connect.LoginedTable.FirstOrDefault(x => x.Login == tbLogin.Text && x.Password == password);// проверяем наличие таких данных в бд
                    if (logined != null)
                    {
                        //MessageBox.Show("Авторизация выполнена успешно", "Информация", MessageBoxButton.OK, MessageBoxImage.Information);
                        Classes.DebugClass.diagWrite("Успешная авторизация");
                        Classes.FrameClass.frmMain.Navigate(new MainPage(logined));// переход на главную
                    }
                    else
                    {
                        Classes.DebugClass.diagWrite("Ошибка входа");
                        MessageBox.Show("Такого пользователя не существует", "Ошибка", MessageBoxButton.OK, MessageBoxImage.Error);
                    }
                }
                catch (Exception ex)
                {
                    Classes.DebugClass.diagWrite(ex.Message);
                    MessageBox.Show("Ошибка!", "Ошибка", MessageBoxButton.OK, MessageBoxImage.Error);
                }
            }
        }
    }
}
