﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace HelpHelf.Pages
{
    /// <summary>
    /// Логика взаимодействия для RegistrationPage.xaml
    /// </summary>
    public partial class RegistrationPage : Page
    {
        public RegistrationPage()
        {
            InitializeComponent();
        }

        private void btnReg_Click(object sender, RoutedEventArgs e)
        {
           if(Classes.CheckFields.CheckUser(tbSurname.Text, tbName.Text, tbLogin.Text, pswPassword.Password))
           {
                if (Classes.CheckFields.CheckLogin(tbLogin.Text, null))
                {
                    try
                    {
                        LoginedTable logined = new LoginedTable()
                        {
                            Login = tbLogin.Text,
                            Password = pswPassword.Password.GetHashCode()// шифруем данные
                        };
                        UserTable user = new UserTable()// новый пользователь
                        {
                            ID = logined.ID,
                            Surname = tbSurname.Text,
                            Name = tbName.Text,
                        };
                        Classes.DateBase.connect.LoginedTable.Add(logined);
                        Classes.DateBase.connect.UserTable.Add(user);
                        Classes.DateBase.connect.SaveChanges();
                        MessageBox.Show("Успешная авторизация", "Информация", MessageBoxButton.OK, MessageBoxImage.Information);
                        Classes.DebugClass.diagWrite("Успешная регистрация\nПереход на страницу авторизации");
                        Classes.FrameClass.frmMain.Navigate(new AuthorizationPage());// переход на страницу авторизации
                    }
                    catch (Exception ex)
                    {
                        Classes.DebugClass.diagWrite(ex.Message);
                        MessageBox.Show("Ошибка", "Ошибка", MessageBoxButton.OK, MessageBoxImage.Error);
                    }
                }
            }
        }

        private void btnAuto_Click(object sender, RoutedEventArgs e)
        {
            Classes.FrameClass.frmMain.Navigate(new AuthorizationPage());// переход на страницу авторизации
        }
    }
}
